<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Edit Article</title>
</head>
<body>

<div th:fragment="editArticle">
    <fieldset>
        <legend>Required Fields</legend>
        <div th:replace="::simpleInput(field='authors', type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='title',   type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='year',    type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='journal', type='text', required=true)"></div>
    </fieldset>
    <fieldset>
        <legend>Optional Fields</legend>
        <div th:replace="::simpleInput(field='volume',  type='text')"></div>
        <div th:replace="::simpleInput(field='number',  type='text')"></div>
        <div th:replace="::simpleInput(field='pages',   type='text')"></div>
        <div th:replace="::simpleInput(field='month',   type='text')"></div>
        <div th:replace="::simpleInput(field='note',   type='text')"></div>
    </fieldset>
</div>

<div th:fragment="editBook">
    <fieldset>
        <legend>Required Fields</legend>
        <div th:replace="::simpleInput(field='authors', type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='title',   type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='publisher', type='text', required=true)"></div>
        <div th:replace="::simpleInput(field='year', type='text', required=true)"></div>
    </fieldset>
    <fieldset>
        <legend>Optional Fields</legend>
        <div th:replace="::simpleInput(field='volume',  type='text')"></div>
        <div th:replace="::simpleInput(field='series',  type='text')"></div>
        <div th:replace="::simpleInput(field='edition',   type='text')"></div>
        <div th:replace="::simpleInput(field='address',   type='text')"></div>
        <div th:replace="::simpleInput(field='month',   type='text')"></div>
        <div th:replace="::simpleInput(field='note',   type='text')"></div>
    </fieldset>
</div>

<div th:fragment="generalFields">
    <fieldset>
        <legend th:text="#{generalFields}">General Fields</legend>
        <div th:replace="::simpleInput(field='url', type='text')"></div>
        <div th:replace="::simpleInput(field='doi', type='text')"></div>
        <div th:replace="::textArea(field='abstrct')"></div>
        <div th:replace="::upload(field='file')"></div>
    </fieldset>
</div>

<!--/*@thymesVar id="fieldname" type="java.lang.String"*/-->
<!--/*@thymesVar id="fieldplaceholder" type="java.lang.String"*/-->
<!--/*@thymesVar id="required" type="java.lang.Boolean"*/-->
<div th:fragment="simpleInput(field, type)"
     th:with="fieldname=(${fieldname}?:${field}), fieldplaceholder=(${fieldplaceholder}?:${field}), required=(${required}?:false)">
    <div class="form-group row">
        <label for="field" class="col-4 col-form-label" th:for="${field}" th:text="#{__${fieldname}__}">
            Field Name
        </label>
        <div class="col-8">
            <div class="input-group">
                <input id="field" class="form-control" th:id="${field}" th:type="${type}" th:field="*{__${field}__}"
                       th:errorclass="error" th:placeholder="#{__${fieldplaceholder}__}" th:required="${required}"/>
                <div class="input-group-append">
                    <div class="input-group-text">
                        <i class="fa fa-align-justify"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div th:fragment="upload(field)" th:with="fieldname=(${fieldname}?:${field})">
    <div class="custom-file">
        <input type="file" class="custom-file-input" id="customFile" th:id="${field}" th:field="*{__${field}__}">
        <label class="custom-file-label" for="customFile" th:for="${field}" th:text="#{__${fieldname}__}">
            Choose file
        </label>
    </div>
</div>

<div th:fragment="textArea(field)"
     th:with="fieldname=(${fieldname}?:${field}), fieldplaceholder=(${fieldplaceholder}?:${field}), required=(${required}?:false)">
    <div class="form-group row">
        <label for="textarea" class="col-4 col-form-label" th:for="${field}" th:text="#{__${fieldname}__}">
            Field Name
        </label>
        <div class="col-8">
            <div class="input-group">
                <textarea id="textarea" class="form-control" th:id="${field}" th:field="*{__${field}__}"
                          th:errorclass="error" th:placeholder="#{__${fieldplaceholder}__}"
                          th:required="${required}"></textarea>
                <div class="input-group-append">
                    <div class="input-group-text">
                        <i class="fa fa-align-justify"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>